Pergunta sobre a melhor galeria de imagens e galeria de fotos responsiva – WordPress FooGallery: Alerta de geração de miniaturas!

Um usuário perguntou ?

Olá pessoal de suporte,

Após instalar o plugin, esta mensagem aparece no topo da página das galerias (admin)

Alerta de geração de miniaturas! Há um problema ao gerar miniaturas para sua galeria. Verifique se a extensão GD Image Library está instalada e habilitada pelo seu provedor de hospedagem. Se as miniaturas não puderem ser geradas, serão usadas imagens não copiadas em tamanho real. Às vezes, isso pode fazer com que a página carregue lentamente e as miniaturas não sejam exibidas corretamente.

Já entrei em contato com minha empresa de hospedagem e pedi para eles revisarem. A extensão GD Image Library foi considerada 100% instalada e habilitada. Você tem alguma ideia do que pode ser um problema?

Obrigado, tudo de bom em Nin0

(@nin0)

2 anos, 2 meses atrás

Olá, apenas perguntando se eu posso obter ajuda aqui.

(@bradvin)

2 anos, 2 meses atrás

Hey Nin0 – através de quem você recebeu? Isso pode ser um problema de permissões porque o teste é realizado em uma imagem dentro da pasta do plugin.

(@philcoxon)

2 anos, 1 mês atrás

Olá @nin0,

Não recebemos sua resposta e presumiremos que você resolveu esse problema e podemos marcar esta solicitação de suporte como resolvida.

Se você tiver mais perguntas relacionadas a esta pergunta, responda e nos informe.

(@nin0)

2 anos, 1 mês atrás

Olá,

Ainda não está consertado. Eu verifiquei as permissões no meu site e elas estão definidas corretamente. Entrei em contato com meu host e eles dizem que todas as configurações estão no seu lado direito e pode ser um problema com o plug-in. Recebi essas configurações Versão do PHP: 7.2.12 PHP GD: Loaded (V2) PHP Open SSL: PHP HTTP Folder Loaded: PHP HTTPS Folder encontrado: HTTPS Incompatibilidade: Nenhum Configurações do PHP[allow_url_fopen] : 1 Configuração PHP[allow_url_include] : 1

Então não tenho certeza de como resolver esse problema.

(@philcoxon)

2 anos, 1 mês atrás

Obrigado por responder. Não tivemos nenhum outro relato desse problema que eu saiba, então parece que ele pode estar relacionado à sua hospedagem na web.

Você enviou um e-mail para [email protected] e incluiu a URL para incluir este ticket de suporte?

Em seguida, trabalharei diretamente com você para ver se podemos identificar o que está acontecendo e resolvê-lo para você.

(@bradvin)

2 anos, 1 mês atrás

Olá, a próxima versão que será lançada muito em breve mudará a geração de miniaturas para usar uma imagem da biblioteca de mídia ao invés da imagem no plugin, para tentar diminuir esse erro de exibição

(@kathycac)

2 anos, 1 mês atrás

Olá, também recebi esse mesmo erro e estou no Hosting Pressable. Eles disseram que a maneira como o plug-in reivindica um arquivo específico não é suportada por sua plataforma. Eles corrigiram o erro para mim alterando a função em wpthumb.php para online 85.

Eles mudam isso:

private static function get_home_path() {
return str_replace( str_replace( home_url(), '', site_url() ), '', ABSPATH );
}

Para fazer isso:

private static function get_home_path() {
return str_replace( 'wp-content', '', WP_CONTENT_DIR);
}

Espero que isso seja útil.

(@kperson)

2 anos, 1 mês atrás

Eu tenho o mesmo problema. Eu tenho o GD totalmente instalado e funcionando, mas também estou recebendo esse erro. Eu tentei o acima e não me corrigiu. Também verifiquei se as permissões de upload foram definidas corretamente. Abaixo estão as informações do meu sistema.

Versão do FooGallery: 1.6.7 Versão do WordPress: 4.9.8 Tema de ativação: Kids WordPress Editor URL do tema: https: //www.omitido. Versão do PHP: 7.0.33 PHP GD: Carregado (V2) PHP Open SSL: PHP HTTP Pasta Carregada: PHP Pasta encontrada HTTPS: Incompatibilidade HTTPS Encontrado: Nenhum Configuração do PHP[allow_url_fopen] : 1 Configuração PHP[allow_url_include] : 1 Extensões de ponto final:

Erros de extensões: Não, todas boas Extensões: Extensões ativas: Editar (
[0] => default_templates
[1] => lightbox foobox-image-light
[2] => álbum
[3] => foobox)

Modelos de Galeria: Editar (
[0] => padrão
[1] => visualizador de imagens
[2] => autor
[3] => alvenaria
[4] => simple_portfolio
[5] => modelo)

Caixas de luz: Matrix (
[foobox] => FooBox
[dfactory] => Lightbox responsivo com dFactory)

Configurações: Editar()

Plugins ativos: Editar (
[0] => foogallery / foogallery.php
[1] => seletor de data-hora-acf-campo / data-hora-seletor-acf.php
[2] => repeater-acf / repeater-acf.php
[3] => admin-menu-editor / menu-editor.php
[4] => Custom-fields-advanced-pro/acf.php
[5] => amr-shortcode-any-widget / amr-shortcode-any-widget.php
[6] => calendar-widget-archives / calendar-archives.php
[7] => bloquear atualizações específicas de plugins / bloquear atualizações específicas de plugins.php
[8] => cms-tree-page-view / index.php
[9] => arquivos compactos / compact.php
[10] => menus condicionais / init.php
[11] => contact-form-7-honeypot / honeypot.php
[12] => contact-form-7 / wp-contact-form-7.php
[13] => barras laterais com reconhecimento de conteúdo / sidebars.php com reconhecimento de conteúdo
[14] => widget de texto aprimorado / widget de texto aprimorado.php
[15] => gerenciador de eventos / gerenciador de eventos.php
[16] => feedzy-rss-feeds / feedzy-rss-feed.php
[17] => foobox-image-lightbox / foobox-free.php
[18] => js_composer / js_composer.php
[19] => sheet-maps-marker-pro / sheet-maps-marker.php
[20] => mailchimp-for-wp / mailchimp-for-wp.php
[21] => mc4wp-premium / mc4wp-premium.php
[22] => mp3-jplayer / mp3jplayer.php
[23] => responsivo-lightbox / responsivo-lightbox.php
[24] => grupos de tags premium / grupos de tags premium.php
[25] => tipos/wpcf.php
[26] => wp-miniaudioplayer / miniAudioPlayer.php
[27] => wp-polls / wp-polls.php)

(@kperson)

2 anos, 1 mês atrás

Consegui resolver meu problema acessando configurações, imagens, Executar testes, voltou verde e bom, então cliquei em salvar configurações e o erro GD desapareceu.

(@nin0)

2 anos, 1 mês atrás

Não tenho certeza se isso resolverá os problemas de todos, mas no meu caso foi o suficiente para limpar o cache. FooGallery / Configurações e pressionando os botões de limpar cache.

Obrigado novamente Phil por esta dica! Todo o melhor

(@akirastudio)

2 anos, 1 mês atrás

Eu também tenho o mesmo problema e não consigo descobrir, também confirmei que tenho a biblioteca GD instalada e todos os caches também são limpos.

Quando fiz os testes na galeria foo encontrei:

Falha no teste de geração de miniaturas! rud(WP_Error) #3919 (2) { [“errors”]=> editar (1) { [“invalid_image”]=> editar (1) { [0]=> string (21) “O arquivo não é uma imagem”. }} [“error_data”]=> editar (1) { [“invalid_image”]=> cadeia (82) «; }} editar (2) { [“ext”]=> string (3) “png” [“type”]=> string (9) “imagem / png”}

Por favor ajude

Esta resposta foi modificada há 2 anos, um mês atrás por.

(@hostnet)

2 anos, 1 mês atrás

Eu também tenho o mesmo problema com a mensagem de erro semelhante e o post acima

Dê uma solução

Obrigado,

(@brucerawles)

1 ano, 11 meses atrás

Eu tenho um problema similar; Liguei para o suporte do WP Engine e eles confirmaram que a biblioteca GD está realmente instalada (versão 2.2.5 da biblioteca GD)… Curiosamente, o teste de geração do modelo falha no LIVE, mas continua na versão STAGING do site, executando o mesma versão do FooGallery. O CDN (CloudFlare) poderia ter algo a ver com isso? Não consigo pensar em muitos outros que são diferentes. Eu tentei limpar os caches HTML e CSS nas Configurações do FooGallery> guia Geral, mas nenhum deles ajudou. AO VIVO: O teste de geração de miniaturas falhou! rud(WP_Error) #2660 (2) { [“errors”]=> editar (1) { [“file-not-found”]=> editar (1) { [0]=> string (0) “”}} [“error_data”]=> editar (0) {}} editar (2) { [“ext”]=> fio (3) «jpg» [“type”]=> string (10) “image / jpeg”} Testa se o FooGallery pode gerar as miniaturas de que precisa. CENÁRIO: Os testes de geração de miniaturas funcionaram bem. Teste para ver se o FooGallery pode gerar as miniaturas que você precisa.

Por favor notifique. Obrigado! ?

(@bradvin)

1 ano, 11 meses atrás

@brucerawles – tente ativar o FooGallery “Substituir teste de polegar” na guia avançada

(@brucerawles)

1 ano, 11 meses atrás

Obrigado por essa sugestão. Não tentei … nenhuma alteração (ainda recebendo o mesmo erro “Thumbnail Generation Alert” – então limpei o cache do navegador (Chrome), excluí o cache de otimização automática e tentei as alterações nas configurações do FooGallery> Avançado> Substituir substituição uma caixa de verificação de miniaturas de teste novamente… Continue procurando pelo bug… Alguma sugestão adicional?… Agradecemos antecipadamente!

Isto foi útil?

0 / 0

Deixe uma resposta 0

O seu endereço de email não será publicado. Campos obrigatórios são marcados *